Package org.eclipse.mat.query.refined

# Class RefinedStructuredResult.DerivedDataJobDefinition

java.lang.Object
org.eclipse.mat.query.refined.RefinedStructuredResult.DerivedDataJobDefinition

Enclosing class:
  `RefinedStructuredResult`

public static class RefinedStructuredResult.DerivedDataJobDefinition extends Object

## Constructor Summary

Constructors
Constructor
Description
`DerivedDataJobDefinition(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`

## Method Summary

Modifier and Type
Method
Description
`ContextProvider`
`getContextProvider()`
`ContextDerivedData.DerivedOperation`
`getOperation()`
`void`
`setOperation(ContextDerivedData.DerivedOperation operation)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedDataJobDefinition

public DerivedDataJobDefinition(ContextProvider provider, ContextDerivedData.DerivedOperation operation)

## Method Details

### getContextProvider

public ContextProvider getContextProvider()

### getOperation

public ContextDerivedData.DerivedOperation getOperation()

### setOperation

public void setOperation(ContextDerivedData.DerivedOperation operation)